Bug 173258 - graphics/gnash port has dependency problem with libxul19
graphics/gnash port has dependency problem with libxul19
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
Depends on:
  Show dependency treegraph
Reported: 2012-11-01 08:40 UTC by t.mueller1
Modified: 2012-12-10 05:04 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description t.mueller1 2012-11-01 08:40:00 UTC
	graphics/gnash port has dependency for www/libxul19, the newer www/libxul does not work because of a file, /usr/local/lib/libxul/xipda , presemt with www/libxul19 but not www/libxul .

www/libxul 19 will not install when libxul is installed because of conflict, but even without libxul will not install because of vulnerability.

So graphics/gnash will not install or upgrade.


None that I am aware of
How-To-Repeat: Try to build graphics/gnash, or upgrade with portmaster
Comment 1 Edwin Groothuis freebsd_committer 2012-11-02 01:42:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dirk Meyer freebsd_committer 2012-11-02 20:22:24 UTC
State Changed
From-To: open->analyzed
Comment 3 Dirk Meyer freebsd_committer 2012-11-02 20:22:52 UTC
State Changed
From-To: analyzed->feedback

Please try this patch 

Index: Makefile 
--- Makefile    (revision 306835) 
+++ Makefile    (working copy) 
@@ -105,8 +105,8 @@ 
.include "${PORTSDIR}/www/firefox/Makefile.webplugins" 
-BUILD_DEPENDS+=	${LOCALBASE}/lib/libxul/xpidl:${PORTSDIR}/www/libxul19 
-RUN_DEPENDS+=	${LOCALBASE}/lib/libxul/xpidl:${PORTSDIR}/www/libxul19 
+BUILD_DEPENDS+=	${LOCALBASE}/bin/xulrunner:${PORTSDIR}/www/libxul 
+RUN_DEPENDS+=	${LOCALBASE}/bin/xulrunner:${PORTSDIR}/www/libxul 
PLIST_SUB+=	   NPAPI="@comment " 
CONFIGURE_ARGS+=	--disable-npapi
Comment 4 Dirk Meyer freebsd_committer 2012-12-10 05:03:41 UTC
State Changed
From-To: feedback->closed

committed, thanks.